#ifndef ADLER32_H
#define ADLER32_H

#ifdef __cplusplus
extern "C"{
#endif

unsigned long update_adler32(unsigned long adler, const unsigned char *buf, int len);
unsigned long adler32(unsigned char *buf, int len);
unsigned long adler32_str(const char *buf);

#ifdef __cplusplus
}
#endif

#endif  /* ADLER32_H */

